# ===============================================================
# -*- coding: utf-8 -*-
# @Author  : liheyou@zhiyitech.cn
# @Date    : 2018/9/19 下午6:46
# @Brief   : 
# ===============================================================
import json
import redis
import logging
from .config import log_config

logging.basicConfig(**log_config)
logger = logging.getLogger()


def ip_config(redis_config: dict=None, value: dict=None):
    """
    :param redis_config: redis配置
    :param value: IP配置信息
    :return:
    """
    if redis_config is None or value is None:
        logger.warning('redis_config or value is None')
        return
    redis_config = redis_config.copy()
    redis_config['db'] = 7
    value.setdefault('failed_num', 30)

    pool = redis.ConnectionPool(**redis_config)
    redis_client = redis.Redis(connection_pool=pool)
    redis_key = f'(ip_config)hash_{value["project_name"]}_{value["spider_name"]}'
    redis_client.hmset(name=redis_key, mapping=value)
    logging.info(f'ip队列名字: (ip_queue)list_{value["project_name"]}_{value["spider_name"]}')
    logging.info(f'配置信息: {redis_client.hgetall(redis_key)}')

